{ pkgs, lib, config, ... }: {
  imports = [
    ./mqtt.nix
    ./zigbee2mqtt/service.nix
    ./zigbee2mqtt/lights.nix
    ./zigbee2mqtt/motion.nix
    ./zigbee2mqtt/buttons.nix
    ./zigbee2mqtt/temperatur.nix
    ./zigbee2mqtt/doors.nix
  ];

  services.zigbee2mqtt = {
    enable = true;
    mqttPassword = lib.fileContents <secrets/zigbee/password>;
    networkKey = import <secrets/home-assistant/zigbee/networkKey>;
    # only turn on for new devices, usually turn of for security reasons.
    discover = false;
  };

}
