{ config, pkgs, lib, ... }: {

  test.services.syncthing = {
    enable = true;
    openDefaultPorts = false;
    user = "palo";
    dataDir = "/home/palo/.syncthing";
    configDir = "/home/palo/.syncthing";
    declarative = {
      cert = toString <secrets/syncthing/cert.pem>;
      key = toString <secrets/syncthing/key.pem>;

      overrideFolders = true;
      folders = {

        # on encrypted drive
        # ------------------
        desktop = {
          enable = true;
          path = "/home/palo/desktop";
        };
        finance = {
          enable = true;
          path = "/home/palo/finance";
          versioning = {
            type = "simple";
            params.keep = "10";
          };
        };
        lost-fotos = {
          enable = true;
          path = "/home/palo/.lost-fotos.ct";
        };
        fotos = {
          enable = true;
          path = "/home/palo/fotos";
        };

        # no need to be encrypted
        # -----------------------
        book = {
          enable = true;
          path = "/home/palo/books";
        };
        music-library-free = {
          enable = true;
          path = "/home/palo/music-library-free";
        };
        music-library = {
          enable = true;
          path = "/home/palo/music-library";
        };
        music-projects = {
          enable = true;
          path = "/home/palo/music-projects";
        };
        porani-workout = {
          enable = true;
          path = "/home/palo/workout-porani";
        };
        samples = {
          enable = true;
          path = "/home/palo/samples";
        };
        video-material = {
          enable = true;
          path = "/home/palo/video-material";
        };
        workout-pepe = {
          enable = true;
          path = "/home/palo/workout-pepe";
        };
        windows-sync = {
          enable = true;
          path = "/home/palo/windows-sync";
        };
        smartphone-folder = {
          enable = true;
          path = "/home/palo/smartphone-folder";
        };
        zettlr = {
          enable = true;
          path = "/home/palo/zettlr";
        };
      };
    };
  };

}

