# This overlay extends nixpkgs .

self: super:

let
  callPackage = super.lib.callPackageWith super;
  unstablePkgs = import <nixpkgs-unstable> { };

in {

  image-generator = super.callPackage ./image-generator { };

  bitwig-studio1 = super.bitwig-studio1.override {
    libxkbcommon = super.libxkbcommon.overrideAttrs (old: rec {
      name = "libxkbcommon-0.7.2";
      src = super.fetchurl {
        url = "https://xkbcommon.org/download/${name}.tar.xz";
        sha256 = "1n5rv5n210kjnkyrvbh04gfwaa7zrmzy1393p8nyqfw66lkxr918";
      };
    });
  };

  haskellPackages = super.haskellPackages.override {
    overrides = self: super: { mahlzeit = super.callPackage ./mahlzeit { }; };
  };

  gitlog2json = callPackage ./gitlog2json { };

  fuji-cam-wifi-tool = callPackage ./fuji-cam { };

  navi = callPackage ./navi { };

  bitwig-studio3 = callPackage ./bitwig-studio/bitwig-studio3.nix { };

  bitwig-studio = callPackage ./bitwig-studio/bitwig-studio-environment.nix { };

  lv2vst = callPackage ./lv2vst { };

  wolf-spectrum = callPackage ./wolf-spectrum { };

  landingpage = callPackage ./landingpage { };

  bepasty-client-cli = callPackage ./bepasty-client-cli { };

  emo = callPackage ./emoji { };

  otpmenu = callPackage ./otpmenu { };

  taskwarrior-hooks = callPackage ./taskwarrior-hooks { };

  terminal-tools = callPackage ./terminal-tools { };

  # use upstream only for package tests
  # memo = callPackage ./memo {};

  sononym = callPackage ./sononym { };
  sononym-crawler = callPackage ./sononym-crawler { };

  castget = callPackage ./castget { };

  nixos-generators = callPackage (super.fetchgit {
    url = "https://github.com/nix-community/nixos-generators.git";
    rev = "e006f95894b91fccf903d1b0620c5a18879ab91f";
    sha256 = "1cx54d8zyvgwb2kzj4blkambbm278icrgw5y1nicj54qrs7398n6";
  }) { };

  radio-dj = callPackage (super.fetchgit {
    url = "https://git.ingolf-wagner.de/crashburn_radio/radio_dj.git";
    rev = "0.1.5";
    sha256 = "04j6gcb6ayrcf7rxr0bkgd48zppiryhdyv7mvp0q12ngdkf2yagd";
  }) { };

  #lektor = let
  #  python = import ./lektor-with-plugins/requirements.nix { pkgs = super.pkgs; };
  #in
  #  python.packages.Lektor;

}
