{ pkgs, python }:
self: super:

let

  callPackage = pkgs.lib.callPackageWith super;

  lektorShell = callPackage ./lektor-shell/default.nix { inherit pkgs; };
  lektorGit = callPackage ./lektor-git/default.nix { inherit pkgs; };
  lektorMarkdownHeaderAnchors =
    callPackage ./lektor-markdown-header-anchors/default.nix {
      inherit pkgs;
      fetchFromGitHub = pkgs.fetchFromGitHub;
    };

  inputs = [ lektorShell lektorGit lektorMarkdownHeaderAnchors ];

in {

  "Lektor" = python.overrideDerivation super."Lektor" (old: {

    propagatedBuildInputs = old.propagatedBuildInputs ++ inputs;
    buildInputs = old.buildInputs ++ inputs;

  });

}
